# $Id: app.py 3737 2008-10-26 19:14:17Z hraban $
import grok
#from zope.interface import Interface
from waeup.interfaces import IUniversity
from waeup.viewlets import MainArea
from basecontainer import BaseContainer
from waeup.hostel import hostelcontainer
from waeup.university import facultycontainer
from waeup.students import studentcontainer

class University(grok.Application, BaseContainer):
    grok.implements(IUniversity)
    id = 'base'
    name = u'University'

    def __init__(self, **kw):
        super(University, self).__init__(**kw)
        self.__dict__.update(kw)
        
        self["students"] = studentcontainer.StudentContainer()        
        self["hostels"] = hostelcontainer.HostelContainer()
        self["faculties"] = facultycontainer.FacultyContainer()

#class Content(grok.Viewlet):
#    grok.viewletmanager(MainArea)
#    grok.context(IUniversity)
#    grok.template('basecontainer_templates/content.pt')
#
#
#class Edit(grok.EditForm):
#    grok.context(University)
#    grok.AutoFields(IUniversity)
