# $Id: interfaces.py 3737 2008-10-26 19:14:17Z hraban $
import grok
import re
from zope import schema
from waeup.interfaces import IBaseItem, IBaseContainer

class IHostel(IBaseItem):
    """Representation of a hostel (AKA hall).
    """
    id = schema.ASCIILine(
        title = u'ID of Hostel',
        default = '1',
        required = True,
        constraint = (re.compile('^\w+$').match)
        )
    name = schema.TextLine(
        title = u'Name of Hostel',
        default = u'Unnamed',
        required = True,
        )

class IHostelContainer(IBaseContainer):
    pass